Subject: bug#870: Missing ^J in ChangeLog

From: "Lennart Borgman" <[email-masked]>
Date: Thu, 23 Oct 2008 01:10:58 +0200

On Thu, Oct 23, 2008 at 12:26 AM, Lennart Borgman
<[email-masked]> wrote:
> On Wed, Oct 22, 2008 at 10:15 PM, Lennart Borgman (gmail)
> <[email-masked]> wrote:
>> Eli Zaretskii wrote:
>>>> Date: Wed, 22 Oct 2008 17:14:27 +0200
>>>> From: "Juanma Barranquero" <[email-masked]>
>>>>
>>>> I'm puzzled. I'd think CVSNT was screwing with CRLF, but after 5) the
>>>> ChangeLog was fine, or I would have seen it at 6).
>>>
>>> I suspect that we have a more fundamental problem somewhere in
>>> insert-file-contents or its subroutines.  Did you see that in the
>>> Index nodes of Info manuals some lines end with TWO ^M characters,
>>> whereas the file has only one?  Maybe the same problem is at work
>>> here, who knows?
>>
>>
>> Due to the problem with ^M in w32 info files this is very visible ;-)
>>
>> How is those lines build (where is the code that builds them)?
>
> Even though those lines in the info index shows as
>
>   ^M^M
>
> at the end it seems like the it is 13, 10 not 13, 13. Is this just
> another bug, or?

It looks like a display bug!

I copied the two ^M^M to *scratch* and tried to investigate what was
there. I saw some strange things, but the most enlightening was when I
copied these characters as a line. With cua-mode on I selected the
line and copied it to a new location. Then suddenly it became

  ^M
                            (line 34)^M

which is actually what you can see in the file

   info/emacs-7